Bug 21360 - IssueSlip.t is failing if run at 23:59
Summary: IssueSlip.t is failing if run at 23:59
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15029
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-16 16:49 UTC by Jonathan Druart
Modified: 2018-09-24 10:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21360: Prevent IssueSlip.t to fail when run at 23:59 (2.99 KB, patch)
2018-09-16 16:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-09-16 16:49:22 UTC
Not sure what happened on bug 15029 (Make the IssueSlip tests pass even if launched after 23:00) but we should have tested with 23:59, not 23:50...


koha_1       |     # Looks like you planned 3 tests but ran 2.
koha_1       | 
koha_1       | #   Failed test 'Issue slip'
koha_1       | #   at t/db_dependent/Members/IssueSlip.t line 294.
koha_1       | Label not found for "last SKIP" at /usr/share/perl5/Test/More.pm line 1370.
koha_1       | # Looks like your test exited with 255 just after 1.
koha_1       | [23:59:10] t/db_dependent/Members/IssueSlip.t ...................................... 
koha_1       | Dubious, test returned 255 (wstat 65280, 0xff00)
koha_1       | Failed 3/3 subtests
Comment 1 Jonathan Druart 2018-09-16 16:52:13 UTC
Created attachment 78937 [details] [review]
Bug 21360: Prevent IssueSlip.t to fail when run at 23:59

Not sure what happened on bug 15029 (Make the IssueSlip tests pass even if
launched after 23:00) but we should have tested with 23:59, not 23:50...

koha_1       |     # Looks like you planned 3 tests but ran 2.
koha_1       |
koha_1       | #   Failed test 'Issue slip'
koha_1       | #   at t/db_dependent/Members/IssueSlip.t line 294.
koha_1       | Label not found for "last SKIP" at /usr/share/perl5/Test/More.pm line 1370.
koha_1       | # Looks like your test exited with 255 just after 1.
koha_1       | [23:59:10] t/db_dependent/Members/IssueSlip.t
koha_1       | Dubious, test returned 255 (wstat 65280, 0xff00)
koha_1       | Failed 3/3 subtests

Test plan:
0/ Don't apply this patch
1/ sudo date -s "2018-09-15 23:59:00";prove t/db_dependent/Members/IssueSlip.t
=> You should get the error
2/ Apply this patch and repeat 1.
=> Tests should pass now!
Comment 2 Nick Clemens 2018-09-16 18:18:38 UTC
Tested, works as expected, minor patch, skipping QA
Comment 3 Nick Clemens 2018-09-16 18:19:28 UTC
Thanks Jonathan 

Pushed to master for 18.11
Comment 4 Martin Renvoize 2018-09-17 14:31:34 UTC
Pushed to 18.05.x for 18.05.04.
Comment 5 Fridolin SOMERS 2018-09-24 10:10:33 UTC
Pushed to 17.11.x for 17.11.10